package stuTest.pojo;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Result {
    boolean success;
    String message;
    Object data;
    public static Result success(Object data) {
        return new Result(true, "success", data);
    }
    public static Result fail(String message) {
        return new Result(false, message, null);
    }
}
